# LibreELEC setup

This repository contains setup or configuration files for [LibreELEC](https://libreelec.tv/) after installation.

### WireGuard VPN setup
* copy `~/.config/wireguard/wireguard.config.sample` to a new file, and adjust the parameters (see
https://wiki.libreelec.tv/configuration/wireguard for reference)

### Files
* `set-resolv-conf.sh` moves last DNS entry up in `/etc/resolv.conf` (is called after VPN initialization)
* `variables.conf.template` contains examples variables definitions, and should be copied locally to `variables.conf`
  (with any required modifications).
* `systemd-templates/` contains Systemd units templates for detecting VPN connection, and apply routes and DNS
  modifications.
#### Installation
* `install.sh` script copies Systemd templates to their destination, and enables trigger (Systemd path).

### TODO
* RAS
